Bug 1665258 - [abrt] lollypop: __save_state(): application.py:312:__save_state:IndexError: string index out of range
Summary: [abrt] lollypop: __save_state(): application.py:312:__save_state:IndexError: ...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: lollypop
Version: 29
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: MartinKG
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:6424751a97097eb7ebcb019c21c...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-01-10 19:56 UTC by Nicolas Berrehouc
Modified: 2019-02-09 02:12 UTC (History)
1 user (show)

Fixed In Version: lollypop-0.9.916-1.fc28 lollypop-0.9.916-1.fc29
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-02-05 12:49:58 UTC


Attachments (Terms of Use)
File: backtrace (714 bytes, text/plain)
2019-01-10 19:56 UTC, Nicolas Berrehouc
no flags Details
File: cgroup (331 bytes, text/plain)
2019-01-10 19:56 UTC, Nicolas Berrehouc
no flags Details
File: cpuinfo (1.58 KB, text/plain)
2019-01-10 19:56 UTC, Nicolas Berrehouc
no flags Details
File: environ (1.32 KB, text/plain)
2019-01-10 19:56 UTC, Nicolas Berrehouc
no flags Details
File: mountinfo (3.85 KB, text/plain)
2019-01-10 19:56 UTC, Nicolas Berrehouc
no flags Details
File: namespaces (129 bytes, text/plain)
2019-01-10 19:56 UTC, Nicolas Berrehouc
no flags Details
File: open_fds (3.87 KB, text/plain)
2019-01-10 19:56 UTC, Nicolas Berrehouc
no flags Details

Description Nicolas Berrehouc 2019-01-10 19:56:20 UTC
Description of problem:
When closing application.

janv. 10 20:27:02 <hostname> abrt-notification[14759]: Process 29582 (lollypop) of user 1000 encountered an uncaught IndexError exception
janv. 10 20:27:01 <hostname> org.gnome.Lollypop.desktop[8080]: IndexError: string index out of range
janv. 10 20:27:01 <hostname> org.gnome.Lollypop.desktop[8080]:     self.player.current_track.album_artists[0])
janv. 10 20:27:01 <hostname> org.gnome.Lollypop.desktop[8080]:   File "/usr/lib/python3.7/site-packages/lollypop/application.py", line 312, in __save_state
janv. 10 20:27:01 <hostname> org.gnome.Lollypop.desktop[8080]:     self.connect("shutdown", lambda a: self.__save_state())
janv. 10 20:27:01 <hostname> org.gnome.Lollypop.desktop[8080]:   File "/usr/lib/python3.7/site-packages/lollypop/application.py", line 147, in <lambda>
janv. 10 20:27:01 <hostname> org.gnome.Lollypop.desktop[8080]: Traceback (most recent call last):
janv. 10 20:27:01 <hostname> python3[29582]: detected unhandled Python exception in '/usr/bin/lollypop'

Version-Release number of selected component:
lollypop-0.9.909-1.fc29

Additional info:
reporter:       libreport-2.9.7
cmdline:        /usr/bin/python3 /usr/bin/lollypop
crash_function: __save_state
exception_type: IndexError
executable:     /usr/bin/lollypop
interpreter:    python3-3.7.2-1.fc29.x86_64
kernel:         4.19.13-300.fc29.x86_64
runlevel:       N 5
type:           Python3
uid:            1000

Truncated backtrace:
application.py:312:__save_state:IndexError: string index out of range

Traceback (most recent call last):
  File "/usr/lib/python3.7/site-packages/lollypop/application.py", line 147, in <lambda>
    self.connect("shutdown", lambda a: self.__save_state())
  File "/usr/lib/python3.7/site-packages/lollypop/application.py", line 312, in __save_state
    self.player.current_track.album_artists[0])
IndexError: string index out of range

Local variables in innermost frame:
self: <application.Application object at 0x7f3fc77a2288 (lollypop+application+Application at 0x562a783c5220)>
Radios: <class 'lollypop.radios.Radios'>
radios: <radios.Radios object at 0x7f3fc535d288 (lollypop+radios+Radios at 0x562a789016a0)>

Comment 1 Nicolas Berrehouc 2019-01-10 19:56:22 UTC
Created attachment 1519908 [details]
File: backtrace

Comment 2 Nicolas Berrehouc 2019-01-10 19:56:23 UTC
Created attachment 1519909 [details]
File: cgroup

Comment 3 Nicolas Berrehouc 2019-01-10 19:56:24 UTC
Created attachment 1519910 [details]
File: cpuinfo

Comment 4 Nicolas Berrehouc 2019-01-10 19:56:26 UTC
Created attachment 1519911 [details]
File: environ

Comment 5 Nicolas Berrehouc 2019-01-10 19:56:27 UTC
Created attachment 1519912 [details]
File: mountinfo

Comment 6 Nicolas Berrehouc 2019-01-10 19:56:28 UTC
Created attachment 1519913 [details]
File: namespaces

Comment 7 Nicolas Berrehouc 2019-01-10 19:56:29 UTC
Created attachment 1519914 [details]
File: open_fds

Comment 8 MartinKG 2019-01-11 08:26:17 UTC
upstream ticket https://gitlab.gnome.org/World/lollypop/issues/1595

Comment 9 MartinKG 2019-01-11 09:08:18 UTC
does the problem also occur with the current version 0.9.910 ?
https://koji.fedoraproject.org/koji/buildinfo?buildID=1178275

Comment 10 Nicolas Berrehouc 2019-01-12 12:18:17 UTC
Still present with version 0.9.910.

janv. 12 13:11:28 <hostname> abrt-notification[13670]: Process 13527 (lollypop) of user 1000 encountered an uncaught IndexError exception
janv. 12 13:11:27 <hostname> org.gnome.Lollypop.desktop[8487]: IndexError: string index out of range
janv. 12 13:11:27 <hostname> org.gnome.Lollypop.desktop[8487]:     self.player.current_track.album_artists[0])
janv. 12 13:11:27 <hostname> org.gnome.Lollypop.desktop[8487]:   File "/usr/lib/python3.7/site-packages/lollypop/application.py", line 312, in __save_state
janv. 12 13:11:27 <hostname> org.gnome.Lollypop.desktop[8487]:     self.connect("shutdown", lambda a: self.__save_state())
janv. 12 13:11:27 <hostname> org.gnome.Lollypop.desktop[8487]:   File "/usr/lib/python3.7/site-packages/lollypop/application.py", line 147, in <lambda>
janv. 12 13:11:27 <hostname> org.gnome.Lollypop.desktop[8487]: Traceback (most recent call last):
janv. 12 13:11:27 <hostname> python3[13527]: detected unhandled Python exception in '/usr/bin/lollypop'
janv. 12 13:11:08 Twelve org.gnome.Lollypop.desktop[8487]: [INFO] 2019-01-12 13:11:08 Player::restore_state(): track missing
janv. 12 13:10:45 Twelve org.gnome.Lollypop.desktop[8487]: [ERROR] 2019-01-12 13:10:45 Player::restore_state(): 'Radios' object has no attribute 'get_url'

Comment 11 Fedora Update System 2019-01-12 13:24:37 UTC
lollypop-0.9.910-2.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2019-aa8cbe9de0

Comment 12 Fedora Update System 2019-01-12 13:24:41 UTC
lollypop-0.9.910-2.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2019-9315f9d4d9

Comment 13 Nicolas Berrehouc 2019-01-12 14:43:18 UTC
Seems to be OK now with last version 0.9.910-2. No more error. Thanks.

Comment 14 Fedora Update System 2019-01-13 01:59:39 UTC
lollypop-0.9.910-2.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-9315f9d4d9

Comment 15 Fedora Update System 2019-01-13 02:54:22 UTC
lollypop-0.9.910-2.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-aa8cbe9de0

Comment 16 Fedora Update System 2019-01-17 10:36:06 UTC
lollypop-0.9.911-1.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2019-9c7831fa55

Comment 17 Fedora Update System 2019-01-17 10:36:10 UTC
lollypop-0.9.911-1.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2019-22db71f272

Comment 18 Fedora Update System 2019-01-18 03:05:02 UTC
lollypop-0.9.911-1.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-9c7831fa55

Comment 19 Fedora Update System 2019-01-18 03:36:23 UTC
lollypop-0.9.911-1.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-22db71f272

Comment 20 Fedora Update System 2019-01-18 19:35:52 UTC
lollypop-0.9.912-1.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2019-55e3aa8f6b

Comment 21 Fedora Update System 2019-01-18 19:35:56 UTC
lollypop-0.9.912-1.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2019-8a170bbfb4

Comment 22 Fedora Update System 2019-01-19 01:43:49 UTC
lollypop-0.9.912-1.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-8a170bbfb4

Comment 23 Fedora Update System 2019-01-19 04:28:51 UTC
lollypop-0.9.912-1.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-55e3aa8f6b

Comment 24 Fedora Update System 2019-01-23 13:29:46 UTC
lollypop-0.9.913-1.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2019-c3d99f8ca4

Comment 25 Fedora Update System 2019-01-23 13:29:52 UTC
lollypop-0.9.913-1.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2019-dab2b534b3

Comment 26 Fedora Update System 2019-01-24 04:37:08 UTC
lollypop-0.9.913-1.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-dab2b534b3

Comment 27 Fedora Update System 2019-01-24 05:31:49 UTC
lollypop-0.9.913-1.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-c3d99f8ca4

Comment 28 Fedora Update System 2019-01-24 14:05:30 UTC
lollypop-0.9.914-1.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2019-e113a462c2

Comment 29 Fedora Update System 2019-01-24 14:05:35 UTC
lollypop-0.9.914-1.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2019-da9fcc4532

Comment 30 Fedora Update System 2019-01-25 03:25:46 UTC
lollypop-0.9.914-1.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-e113a462c2

Comment 31 Fedora Update System 2019-01-25 04:29:45 UTC
lollypop-0.9.914-1.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-da9fcc4532

Comment 32 Fedora Update System 2019-01-28 07:35:15 UTC
lollypop-0.9.915-1.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2019-3558dfa9d7

Comment 33 Fedora Update System 2019-01-28 07:35:20 UTC
lollypop-0.9.915-1.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2019-4ea0ee50b8

Comment 34 Fedora Update System 2019-01-29 02:09:38 UTC
lollypop-0.9.915-1.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-4ea0ee50b8

Comment 35 Fedora Update System 2019-01-29 03:56:38 UTC
lollypop-0.9.915-1.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-3558dfa9d7

Comment 36 Fedora Update System 2019-01-29 12:19:22 UTC
lollypop-0.9.916-1.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2019-cbd6fac865

Comment 37 Fedora Update System 2019-01-29 12:19:30 UTC
lollypop-0.9.916-1.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2019-2381d86822

Comment 38 Fedora Update System 2019-01-30 01:58:38 UTC
lollypop-0.9.916-1.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-2381d86822

Comment 39 Fedora Update System 2019-01-30 03:01:22 UTC
lollypop-0.9.916-1.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-cbd6fac865

Comment 40 Fedora Update System 2019-02-09 01:51:38 UTC
lollypop-0.9.916-1.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.

Comment 41 Fedora Update System 2019-02-09 02:12:51 UTC
lollypop-0.9.916-1.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.